/*
 * File:   hardwareSPI.h
 * Author: peterharrison
 *
 * Created on 10 March 2012, 17:48
 */

#ifndef HARDWARESPI_H
#define	HARDWARESPI_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "stm32f4xx.h"
#include "discovery-hardware.h"

  extern uint16_t spiConfigured;
  void HardwareSPI_init(void);
  void spiPutByte(uint8_t data);
  void spiPutWord(uint16_t data);
  void spiPutBufferPolled(uint8_t * buffer, uint16_t length);

#ifdef	__cplusplus
}
#endif

#endif	/* HARDWARESPI_H */

