#include "stm32f4xx.h"
#include "systick.h"
#include "discovery-hardware.h"

static volatile uint32_t ticks;

void delay_ms(uint32_t t) {
  t += getSystemTicks();
  while (t > getSystemTicks());
}

uint32_t getSystemTicks(void) {
  return ticks;
}

void SysTick_Handler(void) {
  ticks++;
  TEST_TOGGLE();
  MAX6966_update();
}